package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SENSITIVETABLELOG"
)
public class TCoreSensitivetablelog extends TBaseEntity {
   private String datasourcename;
   private String tschema;
   private String tablename;
   private String columnname;
   private String sampling;
   private String etsampling;
   private String mate;
   private String materatio;
   private String regextype;
   private String ruie;
   private String groupid;

   public String getDatasourcename() {
      return this.datasourcename;
   }

   public void setDatasourcename(String datasourcename) {
      this.datasourcename = datasourcename;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getSampling() {
      return this.sampling;
   }

   public void setSampling(String sampling) {
      this.sampling = sampling;
   }

   public String getEtsampling() {
      return this.etsampling;
   }

   public void setEtsampling(String etsampling) {
      this.etsampling = etsampling;
   }

   public String getMate() {
      return this.mate;
   }

   public void setMate(String mate) {
      this.mate = mate;
   }

   public String getMateratio() {
      return this.materatio;
   }

   public void setMateratio(String materatio) {
      this.materatio = materatio;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRuie() {
      return this.ruie;
   }

   public void setRuie(String ruie) {
      this.ruie = ruie;
   }

   public String getGroupid() {
      return this.groupid;
   }

   public void setGroupid(String groupid) {
      this.groupid = groupid;
   }
}
